Loading...
Searching...
No Matches
gr::msg_endpoint Class Reference

`#include <gnuradio/flowgraph.h>`

## Public Member Functions

| msg_endpoint ()
| msg_endpoint (basic_block_sptr block, pmt::pmt_t port, bool is_hier=false)
basic_block_sptr | block () const
pmt::pmt_t | port () const
bool | is_hier () const
void | set_hier (bool h)
std::string | identifier () const
bool | operator== (const msg_endpoint &other) const

## Constructor & Destructor Documentation

## msg_endpoint() [1/2]

gr::msg_endpoint::msg_endpoint | ( |  | ) |

inline

References PMT_NIL.

Referenced by operator==().

## msg_endpoint() [2/2]

gr::msg_endpoint::msg_endpoint | ( | basic_block_sptr | block,
|  | pmt::pmt_t | port,
|  | bool | is_hier = false )

inline

References block(), is_hier(), and port().

## Member Function Documentation

## block()

basic_block_sptr gr::msg_endpoint::block | ( |  | ) | const

inline

Referenced by msg_endpoint().

## identifier()

std::string gr::msg_endpoint::identifier | ( |  | ) | const

inline

References pmt::symbol_to_string().

Referenced by gr::operator<<().

## is_hier()

bool gr::msg_endpoint::is_hier | ( |  | ) | const

inline

Referenced by msg_endpoint().

## operator==()

bool gr::msg_endpoint::operator== | ( | const msg_endpoint & | other | ) | const

inline

References pmt::equal(), and msg_endpoint().

## port()

pmt::pmt_t gr::msg_endpoint::port | ( |  | ) | const

inline

Referenced by msg_endpoint().

## set_hier()

void gr::msg_endpoint::set_hier | ( | bool | h | ) |

inline

The documentation for this class was generated from the following file:

- flowgraph.h